GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions
gdcm::Attribute< Group, Element, TVR, VM::VM1 > Class Template Reference

`#include <gdcmAttribute.h>`

Collaboration diagram for gdcm::Attribute< Group, Element, TVR, VM::VM1 >:
[legend]

List of all members.

## Public Types

enum | { VMType = VMToLength<VM::VM1>::Length }
typedef VRToType< TVR >::Type | ArrayType

## Public Member Functions

| GDCM_STATIC_ASSERT (VMToLength< VM::VM1 >::Length==1)
| GDCM_STATIC_ASSERT (((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)))
| GDCM_STATIC_ASSERT (((VM::VMType) VM::VM1 &(VM::VMType)(TagToType< Group, Element >::VMType)))
| GDCM_STATIC_ASSERT (((((VR::VRType) TVR &VR::VR_VM1)&&((VM::VMType) VM::VM1==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)))
DataElement | GetAsDataElement () const
unsigned int | GetNumberOfValues () const
ArrayType & | GetValue ()
ArrayType const & | GetValue () const
const ArrayType * | GetValues () const
bool | operator!= (const Attribute &att) const
bool | operator< (const Attribute &att) const
bool | operator== (const Attribute &att) const
void | Print (std::ostream &os) const
void | Set (DataSet const &ds)
void | SetFromDataElement (DataElement const &de)
void | SetFromDataSet (DataSet const &ds)
void | SetValue (ArrayType v)

## Static Public Member Functions

static VM | GetDictVM ()
static VR | GetDictVR ()
static Tag | GetTag ()
static VM | GetVM ()
static VR | GetVR ()

## Public Attributes

ArrayType | Internal

## Protected Member Functions

void | SetByteValue (const ByteValue *bv)
void | SetByteValueNoSwap (const ByteValue *bv)

### template<uint16_t Group, uint16_t Element, int TVR>
class gdcm::Attribute< Group, Element, TVR, VM::VM1 >

## Member Typedef Documentation

template<uint16_t Group, uint16_t Element, int TVR>

typedef VRToType<TVR>::Type gdcm::Attribute< Group, Element, TVR, VM::VM1 >::ArrayType

## Member Enumeration Documentation

template<uint16_t Group, uint16_t Element, int TVR>

anonymous enum

Enumerator:

  VMType |

## Member Function Documentation

template<uint16_t Group, uint16_t Element, int TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | VMToLength< VM::VM1 >::Length | = `=1` | ) |

template<uint16_t Group, uint16_t Element, int TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | ((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)) |  | ) |

template<uint16_t Group, uint16_t Element, int TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | ((VM::VMType) VM::VM1 &(VM::VMType)(TagToType< Group, Element >::VMType)) |  | ) |

template<uint16_t Group, uint16_t Element, int TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | ((((VR::VRType) TVR &VR::VR_VM1)&&((VM::VMType) VM::VM1==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)) |  | ) |

template<uint16_t Group, uint16_t Element, int TVR>

DataElement gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetAsDataElement | ( |  | ) | const`[inline]`

References gdcm::Attribute< Group, Element, TVR, TVM >::GetNumberOfValues(), gdcm::Attribute< Group, Element, TVR, TVM >::GetTag(), gdcm::DataElement::GetVR(), gdcm::Attribute< Group, Element, TVR, TVM >::GetVR(), gdcm::Attribute< Group, Element, TVR, TVM >::Internal, gdcm::DataElement::SetByteValue(), gdcm::DataElement::SetVR(), gdcm::VR::SQ, gdcm::VR::UI, and gdcm::VR::VRASCII.

template<uint16_t Group, uint16_t Element, int TVR>

static VM gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetDictVM | ( |  | ) | `[inline, static]`

template<uint16_t Group, uint16_t Element, int TVR>

static VR gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetDictVR | ( |  | ) | `[inline, static]`

template<uint16_t Group, uint16_t Element, int TVR>

unsigned int gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetNumberOfValues | ( |  | ) | const`[inline]`

template<uint16_t Group, uint16_t Element, int TVR>

static Tag gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetTag | ( |  | ) | `[inline, static]`

template<uint16_t Group, uint16_t Element, int TVR>

ArrayType& gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetValue | ( |  | ) | `[inline]`

References gdcm::Attribute< Group, Element, TVR, TVM >::Internal.

template<uint16_t Group, uint16_t Element, int TVR>

ArrayType const& gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetValue | ( |  | ) | const`[inline]`

References gdcm::Attribute< Group, Element, TVR, TVM >::Internal.

template<uint16_t Group, uint16_t Element, int TVR>

const ArrayType* gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetValues | ( |  | ) | const`[inline]`

References gdcm::Attribute< Group, Element, TVR, TVM >::Internal.

template<uint16_t Group, uint16_t Element, int TVR>

static VM gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetVM | ( |  | ) | `[inline, static]`

References gdcm::VM::VM1.

template<uint16_t Group, uint16_t Element, int TVR>

static VR gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetVR | ( |  | ) | `[inline, static]`

template<uint16_t Group, uint16_t Element, int TVR>

bool gdcm::Attribute< Group, Element, TVR, VM::VM1 >::operator!= | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const`[inline]`

References gdcm::Attribute< Group, Element, TVR, TVM >::GetNumberOfValues(), gdcm::Attribute< Group, Element, TVR, TVM >::GetValues(), and gdcm::Attribute< Group, Element, TVR, TVM >::Internal.

template<uint16_t Group, uint16_t Element, int TVR>

bool gdcm::Attribute< Group, Element, TVR, VM::VM1 >::operator< | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const`[inline]`

References gdcm::Attribute< Group, Element, TVR, TVM >::GetNumberOfValues(), gdcm::Attribute< Group, Element, TVR, TVM >::GetValues(), and gdcm::Attribute< Group, Element, TVR, TVM >::Internal.

template<uint16_t Group, uint16_t Element, int TVR>

bool gdcm::Attribute< Group, Element, TVR, VM::VM1 >::operator== | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const`[inline]`

References gdcm::Attribute< Group, Element, TVR, TVM >::GetNumberOfValues(), gdcm::Attribute< Group, Element, TVR, TVM >::GetValues(), and gdcm::Attribute< Group, Element, TVR, TVM >::Internal.

template<uint16_t Group, uint16_t Element, int TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::Print | ( | std::ostream & | os | ) | const`[inline]`

References gdcm::Attribute< Group, Element, TVR, TVM >::GetTag(), and gdcm::Attribute< Group, Element, TVR, TVM >::Internal.

template<uint16_t Group, uint16_t Element, int TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::Set | ( | DataSet const & | ds | ) | `[inline]`

References gdcm::DataSet::GetDataElement(), gdcm::Attribute< Group, Element, TVR, TVM >::GetTag(), and gdcm::Attribute< Group, Element, TVR, TVM >::SetFromDataElement().

template<uint16_t Group, uint16_t Element, int TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetByteValue | ( | const ByteValue * | bv | ) | `[inline, protected]`

References gdcm::ByteValue::GetLength(), gdcm::Attribute< Group, Element, TVR, TVM >::GetNumberOfValues(), gdcm::ByteValue::GetPointer(), and gdcm::Attribute< Group, Element, TVR, TVM >::Internal.

template<uint16_t Group, uint16_t Element, int TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetByteValueNoSwap | ( | const ByteValue * | bv | ) | `[inline, protected]`

References gdcm::ByteValue::GetLength(), gdcm::Attribute< Group, Element, TVR, TVM >::GetNumberOfValues(), gdcm::ByteValue::GetPointer(), and gdcm::Attribute< Group, Element, TVR, TVM >::Internal.

template<uint16_t Group, uint16_t Element, int TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetFromDataElement | ( | DataElement const & | de | ) | `[inline]`

References gdcm::DataElement::GetByteValue(), gdcm::Tag::GetGroup(), gdcm::DataElement::GetTag(), gdcm::Attribute< Group, Element, TVR, TVM >::GetTag(), gdcm::DataElement::GetVR(), gdcm::Attribute< Group, Element, TVR, TVM >::GetVR(), gdcm::VR::INVALID, gdcm::DataElement::IsEmpty(), gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValue(), gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValueNoSwap(), and gdcm::VR::UN.

template<uint16_t Group, uint16_t Element, int TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetFromDataSet | ( | DataSet const & | ds | ) | `[inline]`

References gdcm::DataSet::FindDataElement(), gdcm::DataSet::GetDataElement(), gdcm::Attribute< Group, Element, TVR, TVM >::GetTag(), gdcm::DataElement::IsEmpty(), and gdcm::Attribute< Group, Element, TVR, TVM >::SetFromDataElement().

template<uint16_t Group, uint16_t Element, int TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetValue | ( | ArrayType | v | ) | `[inline]`

References gdcm::Attribute< Group, Element, TVR, TVM >::Internal.

## Member Data Documentation

template<uint16_t Group, uint16_t Element, int TVR>

ArrayType gdcm::Attribute< Group, Element, TVR, VM::VM1 >::Internal

The documentation for this class was generated from the following file:

- gdcmAttribute.h